View Issue Details

IDProjectCategoryLast Update
0025624AI War 2Bug - GameplayOct 13, 2021 6:07 pm
ReporterEluthena Assigned Tox4000Bughunter  
Severityminor 
Status resolvedResolutionfixed 
Product VersionBeta 3.705 Blazing Collections And The New Spire 
Fixed in VersionBeta 3.708 Bugfixes And Death Spawn 
Summary0025624: Map generation is not applying map-type-specific customization options when they are changed in the lobby UI
DescriptionIn the custom start lobby, when I try to change map customization options such as map linking flavor/algorithm or planet layout, the changes do not seem to apply. Even after manually hitting regenerate map, it does not update, and pressing "start game" and looking at the galaxy map indicates that the preview is correct. Changing the number of planets, map type, planet naming scheme, and map seed all apply properly, but the map-type-specific customization options are still not applied in the regenerated map.

Example:
1) Open custom start lobby, and press "Reset to Defaults" --> Map preview should update to reflect the default settings
2) Change "Customize: Planet Layout" to "Big Circle" and press "Regenerate Map" --> Preview does not update
3) Change "Desired Planets" to "120" and press "Regenerate Map" --> Preview updates to show the change in planet count, but is still not in the big circle layout

Also, I'm not sure if this is related, but automatic map regeneration does not always trigger when changing specifically either Planet Naming Scheme or Desired Planets. For me it seems to skip every other change (e.g. change planet count to 90 and it updates, then change it to 100 and it does not update, then change it to 110 and it does update, and so on).

System Information:
CPU: Intel Core i7-8700
GPU: GTX 1060-3GB
RAM: 16GB
OS: Windows 10 (Version 21H1 / Build 19043.1237)
TagsNo tags attached.

Activities

tom.prince

Oct 7, 2021 10:25 pm

reporter   ~0062912

I was looking at the map generation code, and it appears that many `map_option`s don't have `related_int_value` set, despite the code trying to consume them that way (and thus always getting 0).

BadgerBadger

Oct 12, 2021 12:53 pm

manager   ~0062919

I have also observed this happening

x4000Bughunter

Oct 13, 2021 5:34 pm

administrator   ~0062926

I also have observed this.

x4000Bughunter

Oct 13, 2021 6:07 pm

administrator   ~0062927

Thank you!

* Fixed an issue with my list collections from two builds ago where FindAll and GetRange could throw an exception if they were to return a zero-length list.
** This was causing an exception in the Swirl map type.

* From June 18th of this year, I made it so that map options were a lot more robust, but at the same time introduce a possibility where maps would not have an underlying related_int set properly.
** Because of how this was done, this made it really easy for modders to shoot themselves in the foot, and I also shot myself in the foot with a ton of the existing maps as I tried to convert the data over. I essentially broke the sub-options on a lot of map types at that point.
** To make sure that these don't just slide by unnoticed in the future, if the map generation algorithm tries to read an uninitialized integer or fixed-integer, it will now throw an exception.
** Finishing the fix in the short term, then went through and fixed up the xml for tons of map types from the base game and dlcs, which have been quietly not having their sub-options working for all this time, it turns out.

Issue History

Date Modified Username Field Change
Oct 7, 2021 12:39 am Eluthena New Issue
Oct 7, 2021 10:25 pm tom.prince Note Added: 0062912
Oct 12, 2021 12:53 pm BadgerBadger Note Added: 0062919
Oct 13, 2021 5:34 pm x4000Bughunter Note Added: 0062926
Oct 13, 2021 6:07 pm x4000Bughunter Assigned To => x4000Bughunter
Oct 13, 2021 6:07 pm x4000Bughunter Status new => resolved
Oct 13, 2021 6:07 pm x4000Bughunter Resolution open => fixed
Oct 13, 2021 6:07 pm x4000Bughunter Fixed in Version => Beta 3.708 Bugfixes And Death Spawn
Oct 13, 2021 6:07 pm x4000Bughunter Note Added: 0062927